How To Block Spammers/Hackers With mod_defensible On Apache2 (Debian Etch

Discussion in 'HOWTO-Related Questions' started by wiseman, Mar 13, 2009.

  1. wiseman

    wiseman New Member

    I am looking at the howto in subject line for debian lenny.

    Now the package libudns0 is not available in lenny only in sid
    but the apache mod_defensible is available in lenny. what should I do?


    wiseman:)
     
  2. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    I think I'd leave out the libudns0 package.
     
  3. wiseman

    wiseman New Member

    restarting apache2- error

    When I restarted apache2 at end of howto this error was shown:

    apache2 Syntax error in line196 of /etc/apache2/apache2.conf

    Invalid comand 'DnsblNameserver' perhaps misspelled or defined by
    a module not included in the server configuration

    these are the lines i had
    DnsblUse On
    DnsblServers httpbl.abuse.ch sbl-xbl.spamhaus.org
    DnsblNameserver 145.253.2.75

    i had to take out the DnsblNameserver 145.253.2.75 line so apache2would restart


    wiseman
     
    Last edited: Mar 14, 2009
  4. wiseman

    wiseman New Member

    seems to be working even without the line in last thread

    I was in central london uk today went into a internet cafe and guess what
    when I tried to access my site then;'


    Forbidden

    You don't have permission to access /mlist2.txt on this server because you are currently blacklisted by a DNSBL server at: sbl-xbl.spamhaus.org
    Apache/2.2.9 (Debian) mod_ssl/2.2.9 OpenSSL/0.9.8g mod_defensible/1.2


    so it seems to be working

    wiseman:)
     
    Last edited: Mar 18, 2009

Share This Page